# fix build (debuginfo package is empty...):
%define debug_package %{nil}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gnome-themes-standard
Version:	3.22.3
Release:	%mkrel 1
Summary:	Standard themes for GNOME applications
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		https://git.gnome.org/browse/gnome-themes-standard
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1337:	gnome-themes-standard-3.20.2-allow-modification-of-bg-colour.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.5.17
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gdk-x11-2.0)
BuildRequires:	pkgconfig(librsvg-2.0)

# just for /usr/bin/gtk-update-icon-cache:
BuildRequires:	gtk+2.0
# patch
BuildRequires:	git-core

Requires:	abattis-cantarell-fonts
Requires:	adwaita-icon-theme
Requires:	adwaita-cursor-theme

Obsoletes:	gnome-background-standard < 3.0.0-2
Provides:	gnome-background-standard = %{version}-%{release}
Obsoletes:	gnome-themes < 3.0.0-2
Provides:	gnome-themes = %{version}-%{release}
Obsoletes:	adwaita-gtk3-theme <= 3.13.3

%description
The gnome-themes-standard package contains the standard theme for the GNOME
desktop, which provides default appearance for cursors, desktop background,
window borders and GTK+ applications.

%package -n adwaita-gtk2-theme
Summary:	Adwaita gtk2 theme
Group:		Graphical desktop/GNOME
Requires:	gtk-engines2
Requires:	adwaita-icon-theme
Requires:	adwaita-cursor-theme
Requires:	abattis-cantarell-fonts

%description -n adwaita-gtk2-theme
The adwaita-gtk2-theme package contains a gtk2 theme for presenting widgets
with a GNOME look and feel.

%prep
%autosetup -Sgit

%build
%configure2_5x
%make

%install
%makeinstall_std

# for icon cache
touch %{buildroot}%{_iconsdir}/HighContrast/icon-theme.cache


# we don't want these
find %{buildroot} -name '*.la' -delete

# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  /usr/share/icons/HighContrast/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/HighContrast
fi

%postun
if [ $1 -eq 0 ] ; then
    %clean_icon_cache HighContrast
fi

%posttrans
%update_icon_cache HighContrast

%files 
%doc NEWS README

# Background and WM
%{_datadir}/themes/Adwaita
%exclude %{_datadir}/themes/Adwaita/gtk-2.0
%exclude %{_datadir}/themes/Adwaita/gtk-3.0
%exclude %{_datadir}/themes/Adwaita-dark/gtk-2.0

# A11y themes
%dir %{_iconsdir}/HighContrast/
%{_iconsdir}/HighContrast/*/
%ghost %{_iconsdir}/HighContrast/icon-theme.cache
%{_iconsdir}/HighContrast/index.theme
%{_datadir}/themes/Adwaita-dark/
%{_datadir}/themes/HighContrast/

%files -n adwaita-gtk2-theme
# gtk2 Theme and engine
%{_datadir}/themes/Adwaita/gtk-2.0
%{_datadir}/themes/Adwaita-dark/gtk-2.0
%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so


%changelog
* Wed Mar 22 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1094393
- new version 3.22.3

* Thu Oct 06 2016 tv <tv> 3.22.2-1.mga6
+ Revision: 1059205
- fix file list

  + ovitters <ovitters>
    - new version 3.22.2

* Mon Oct 03 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1058277
- new version 3.22.1

* Thu Jul 21 2016 neoclust <neoclust> 3.20.2-6.mga6
+ Revision: 1042986
- Rebuild to make available on armv5

* Thu Jul 21 2016 ns80 <ns80> 3.20.2-5.mga6
+ Revision: 1042968
- provide a more correct version of patch allow-modification-of-bg-colour (mga#18635)
- remove the PNG file from version 3.14.2.3 which is now unneeded

* Fri Jun 17 2016 ns80 <ns80> 3.20.2-4.mga6
+ Revision: 1022004
- rebuild to correct log message

* Mon Jun 13 2016 ns80 <ns80> 3.20.2-3.mga6
+ Revision: 1021313
- add missing PNG file, taken from version 3.14.2.3 (mga#18635)

* Sun Jun 12 2016 ovitters <ovitters> 3.20.2-2.mga6
+ Revision: 1021263
- gtk2: add patch from Nicolas Salguero to allow changing background colour of a GtkEntry or a wxTextCtrl (mga#18635)

* Sun May 15 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1015799
- new version 3.20.2

* Tue Mar 22 2016 ovitters <ovitters> 3.20-1.mga6
+ Revision: 994101
- new version 3.20

* Fri Mar 04 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 985277
- drop merged patch

* Thu Jan 14 2016 ovitters <ovitters> 3.18.0-3.mga6
+ Revision: 923046
- standard package should not require adwaita-gtk2-theme
- move gtk2 requirements to adwaita-gtk2-theme

* Fri Dec 25 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 914498
- fix gtk2 menubars using git binary patch

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882731
- new release

* Sun Sep 06 2015 tv <tv> 3.16.2-3.mga6
+ Revision: 873237
+ rebuild (emptylog)

* Sun Sep 06 2015 tv <tv> 3.16.2-2.mga6
+ Revision: 873223
- fix not using apply_patches...
- switch to new upstream file trigger syntax

* Sun Jun 21 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 838461
- new version 3.16.2

* Mon Dec 01 2014 ovitters <ovitters> 3.14.2.3-1.mga5
+ Revision: 800230
- new version 3.14.2.3

* Fri Nov 28 2014 ovitters <ovitters> 3.14.2.2-1.mga5
+ Revision: 799723
- new version 3.14.2.2

* Wed Nov 26 2014 ovitters <ovitters> 3.14.2.1-1.mga5
+ Revision: 799462
- new version 3.14.2.1

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796502
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 750390
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721235
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.90-2.mga5
+ Revision: 679782
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 pterjan <pterjan> 3.13.90-1.mga5
+ Revision: 668514
- Update file list

  + ovitters <ovitters>
    - new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655400
- new version 3.13.4

* Wed Jun 25 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639726
- adwaita-gtk3-theme is unneeded as of gtk+3.0 3.13.3
- new version 3.13.3

* Fri May 02 2014 wally <wally> 3.13.1-2.mga5
+ Revision: 619537
- own HighContrast icon theme cache file

* Fri May 02 2014 wally <wally> 3.13.1-1.mga5
+ Revision: 619490
- fix release tag

* Fri May 02 2014 wally <wally> 3.13.1-0.1.mga5
+ Revision: 619485
- new version 3.13.1
- drop adwaita-cursor-theme from .spec as it was moved to adwaita-icon-theme
- create filetriggers to update icon cache for HighContrast icons

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608249
- new version 3.12.0

* Thu Mar 20 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 606296
- new version 3.11.92

* Sat Feb 22 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 595423
- new version 3.11.90

* Thu Feb 06 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 583989
- disable patch for nautilus to be transparent
- new version 3.11.5

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 583241
- new version 3.11.2

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536660
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485250
- new version 3.10.0

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474607
- new version 3.9.91

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468510
- new version 3.9.90

* Sun Jul 28 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 459289
- new version 3.9.3

* Fri Jul 26 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 458457
- new version 3.8.3

* Tue Jul 23 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 457351
- new version 3.8.2

* Sat Jul 20 2013 wally <wally> 3.8.1-3.mga4
+ Revision: 456537
- tag gtkrc and settings.ini as config files so users can override default values without losing changes on pkg upgrade

* Fri Jul 12 2013 dams <dams> 3.8.1-2.mga4
+ Revision: 453456
- Add a patch to add back nautilus transparency (mga#10660)

* Fri May 24 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 426467
- new version 3.8.1

* Tue Feb 19 2013 ovitters <ovitters> 3.6.5-1.mga3
+ Revision: 399442
- new version 3.6.5

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317441
- new version 3.6.2

* Tue Oct 16 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 307044
- update file list
- build gtk2 engine

  + ovitters <ovitters>
    - new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0.2-1.mga3
+ Revision: 297776
- new version 3.6.0.2

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0.1-1.mga3
+ Revision: 297393
- new version 3.6.0.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297383
- new version 3.6.0

* Wed Sep 19 2012 fwang <fwang> 3.5.92-1.mga3
+ Revision: 296045
- update file list
- bump req

  + ovitters <ovitters>
    - new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288077
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90.1-1.mga3
+ Revision: 282884
- new version 3.5.90.1

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282617
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279880
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271494
- new version 3.5.4

* Mon Jun 25 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263763
- new version 3.5.3

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235694
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231079
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226675
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225355
- fix buildrequires
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219659
- new version 3.3.91

* Sat Feb 25 2012 wally <wally> 3.3.90.1-2.mga2
+ Revision: 214328
- rebuild due to a missing i586 pkgs

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90.1-1.mga2
+ Revision: 212010
- new version

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5.1-1.mga2
+ Revision: 206523
- new version

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205805
- new version 3.3.5

* Wed Jan 18 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197721
- new version

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184478
- new version 3.3.3

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170645
- new version 3.3.2
- bump gtk3 dep

* Fri Oct 28 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159247
- new version 3.3.1
- bump gtk3 dep

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156063
- new version 3.2.1

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0.2-1.mga2
+ Revision: 149900
- new version 3.2.0.2

* Tue Sep 27 2011 fwang <fwang> 3.2.0.1-1.mga2
+ Revision: 149492
- new version 3.2.0.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148775
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145517
- new version 3.1.92

* Wed Sep 07 2011 tv <tv> 3.1.91-1.mga2
+ Revision: 140116
- new release

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136455
- new version 3.1.90

  + wally <wally>
    - new verion 3.1.5
    - fix groups
    - new version 3.1.4
    - clean BRs and use pkgconfig style if possible

  + dmorgan <dmorgan>
    - Sync gtkrc theme with settings.ini
    - Fix default theme
    - Fix icon theme

* Wed Jul 06 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 119235
- new version 3.1.3
- fix exclude in files section
- clean .spec a bit

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.2.1-1.mga2
+ Revision: 118833
- New version 3.1.2.1

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.2-3.mga2
+ Revision: 107891
- Fix conflicts with gnome-theme

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 102389
- Fix buildrequires
- Fix buildrequires
- imported package gnome-themes-standard

